#ifndef DEVICES_PRONET_H
#define DEVICES_PRONET_H 1
/*
**  ProNET Version 3
**
**  C include file.
**
**  (C) Copyright 1994-1996 Michael Krause
**                          <rawstyle@online.fire.dbn.dinet.com>
*/

#ifndef EXEC_IO_H
#include "exec/io.h"
#endif

#define PNDERR_PORTEXISTS -94
#define PNDERR_BADCONFIG -95
#define PNDERR_DRIVERTROUBLE -96
#define PNDERR_UNIT_NOT_DEFINED -97

struct PNRequest {
   struct IORequest pnr_Request;
   struct MsgPort *pnr_MsgPort;
   UWORD pnr_NetSourcePort;

   UWORD pnr_NetDestPort;
   UBYTE *pnr_Data1;
   ULONG pnr_Length1;
   UBYTE *pnr_Data2;
   ULONG pnr_Length2;
};

#define PNP_NAME	-1
#define PNP_NEXTFREE	-2

#define PND_WRITE	3

#endif	/* DEVICES_PRONET_H */
